Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.monitors
Class GDBServer.GDBMonitor.BreakpointProbe

    java.lang.Object
      avrora.sim.Simulator.Probe.Empty
          avrora.monitors.GDBServer.GDBMonitor.BreakpointProbe

All Implemented Interfaces:
  Simulator.Probe

Enclosing class:
  GDBServer.GDBMonitor

protected class GDBServer.GDBMonitor.BreakpointProbe
extends Simulator.Probe.Empty

The `BreakpointProbe` is a probe inserted at a breakpoint that calls the `commandLoop()` method before the target instruction is executed, thus implementing a breakpoint.

Nested Class Summary

Nested classes inherited from class avrora.sim.Simulator.Probe
`Simulator.Probe.Empty`

Constructor Summary
`protected` | `GDBServer.GDBMonitor.BreakpointProbe()`

Method Summary
`void` | `fireBefore(State s, int pc)` The `fireBefore()` method is called before the probed instruction executes.

Methods inherited from class avrora.sim.Simulator.Probe.Empty
`fireAfter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GDBServer.GDBMonitor.BreakpointProbe

    protected GDBServer.GDBMonitor.BreakpointProbe()

Method Detail

### fireBefore

    public void fireBefore(State s,
                           int pc)

  Description copied from class: `Simulator.Probe.Empty`
  The `fireBefore()` method is called before the probed instruction executes. In the implementation of the `Empty` probe, this method is empty.

  Specified by:
    `fireBefore` in interface `Simulator.Probe`
  Overrides:
    `fireBefore` in class `Simulator.Probe.Empty`
  Parameters:
    `s` - the state of the simulation
    `pc` - the address at which this instruction resides

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD